<?php
/**
 * Displays main header
 *
 * @package Royal Jewellery
 */
?>

<div class="main-header text-center text-md-start py-3">
    <div class="container">
        <div class="row nav-box">
            <div class="col-lg-3 col-md-4 col-sm-6 col-12 align-self-center">
                <div class="navbar-brand text-center text-md-left">
                    <?php if ( has_custom_logo() ) : ?>
                        <div class="site-logo"><?php the_custom_logo(); ?></div>
                    <?php endif; ?>
                    <?php $royal_jewellery_blog_info = get_bloginfo( 'name' ); ?>
                        <?php if ( ! empty( $royal_jewellery_blog_info ) ) : ?>
                            <?php if ( is_front_page() && is_home() ) : ?>
                                <?php if( get_theme_mod('royal_jewellery_logo_title_text',true) != ''){ ?>
                                    <h1 class="site-title pt-2"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                                <?php } ?>
                            <?php else : ?>
                                <?php if( get_theme_mod('royal_jewellery_logo_title_text',true) != ''){ ?>
                                    <p class="site-title "><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
                                <?php } ?>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php
                            $royal_jewellery_description = get_bloginfo( 'description', 'display' );
                            if ( $royal_jewellery_description || is_customize_preview() ) :
                        ?>
                        <?php if( get_theme_mod('royal_jewellery_theme_description',false) != ''){ ?>
                            <p class="site-description pb-2"><?php echo esc_html($royal_jewellery_description); ?></p>
                        <?php } ?>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-6 col-md-3 col-sm-3 col-3 align-self-center">
                <?php get_template_part('template-parts/navigation/nav'); ?>
            </div>
            <div class="col-lg-3 col-md-5 col-sm-3 col-9 align-self-center text-end">
                <?php if(get_theme_mod('royal_jewellery_search_setting',false) != ''){ ?>
                    <span class="head-search">
                        <div class="header-search-wrapper">
                            <span class="search-main">
                                <i class="fa fa-search"></i>
                            </span>
                            <div class="search-form-main clearfix">
                                <form method="get" class="search-form">
                                  <label>
                                    <input type="search" class="search-field form-control" placeholder="Search …" value="" name="s">
                                  </label>
                                  <input type="submit" class="search-submit btn btn-primary mt-3" value="Search">
                                </form>
                            </div>
                        </div>
                    </span>
                <?php }?>
                <?php if(class_exists('woocommerce')){ ?>
                    <?php if(class_exists('WOOCS')){ ?>
                        <span class="currency">
                            <?php echo do_shortcode('[woocs]');?>
                        </span>
                    <?php }?>
                    <span class="user-btn-top">
                        <?php if ( is_user_logged_in() ) { ?>
                            <a class="account-btn" href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>" title="<?php esc_attr_e('My Account','royal-jewellery'); ?>"><i class="fas fa-user"></i></a>
                        <?php } 
                        else { ?>
                            <a class="account-btn" href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>" title="<?php esc_attr_e('My Account','royal-jewellery'); ?>"><i class="fas fa-user"></i></a>
                        <?php } ?>
                    </span>
                <?php }?>
                <?php if(class_exists('woocommerce')){ ?>
                    <span class="cart_box">
                        <?php global $woocommerce; ?>
                        <a class="cart-customlocation" href="<?php echo esc_url(wc_get_cart_url()); ?>" title="<?php esc_attr_e( 'shopping cart','royal-jewellery' ); ?>"><i class="fas fa-shopping-bag"></i></a>
                    </span>
                <?php }?>
            </div>
        </div>
    </div>
</div>
